"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var styled_1 = require("@emotion/styled");
var utils_1 = require("../utils");
var customStyledBarProps = [
    'context',
    'innerRef',
    'size',
    'onClick',
    'expandInteractiveArea',
    'onStatusChanged',
];
exports.StyledBar = styled_1.default('div', {
    shouldForwardProp: utils_1.ignoreProps(customStyledBarProps),
})(function (_a) {
    var _b = _a.size, size = _b === void 0 ? 10 : _b;
    return ({
        position: 'relative',
        flex: "0 0 " + size + "px",
    });
});
exports.StyledInteractiveArea = styled_1.default.div(function (_a) {
    var _b = _a.top, top = _b === void 0 ? 0 : _b, _c = _a.right, right = _c === void 0 ? 0 : _c, _d = _a.bottom, bottom = _d === void 0 ? 0 : _d, _e = _a.left, left = _e === void 0 ? 0 : _e, vertical = _a.vertical;
    return ({
        boxSizing: 'content-box',
        width: '100%',
        height: '100%',
        padding: top + "px " + right + "px " + bottom + "px " + left + "px",
        margin: "-" + top + "px -" + right + "px -" + bottom + "px -" + left + "px",
        cursor: vertical ? 'row-resize' : 'col-resize',
        WebkitTapHighlightColor: 'transparent',
        userSelect: 'none',
    });
});
